commit 71aa76fd4e3bae422ea4d0b0213a5de9bff0ce0d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jun 24 02:18:57 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 0d054fa2ec3..cbffb8130b6 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230623
+20230624
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index a810cb4e260..2041fb7219a 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,21 @@
+2023-06-23  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2023-06-01  Jonathan Wakely  <jwakely@redhat.com>
+
+	* doc/xml/manual/evolution.xml: Document removal of implicit
+	allocator rebinding extensions in strict mode and for C++20.
+	* doc/html/*: Regenerate.
+
+2023-06-23  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-03-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/104242
+	* include/std/any (any(T&&)): Revert change to constraints.
+	* testsuite/20_util/any/cons/104242.cc: New test.
+
 2023-05-30  Matthias Kretz  <m.kretz@gsi.de>
 
 	Backported from master:

